# ApplicationFramework
TKPShape
PColPGeom

# PColPGeom_HArray2OfSurface Class Reference

`#include <PColPGeom_HArray2OfSurface.hxx>`

## Public Member Functions

Standard_EXPORT | PColPGeom_HArray2OfSurface (const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2)
Standard_EXPORT | PColPGeom_HArray2OfSurface (const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2, const Handle(PGeom_Surface)&V)
Standard_EXPORT Standard_Integer | ColLength () const
Standard_Integer | LowerCol () const
Standard_Integer | LowerRow () const
Standard_EXPORT Standard_Integer | RowLength () const
Standard_EXPORT void | SetValue (const Standard_Integer Row, const Standard_Integer Col, const Handle(PGeom_Surface)&Value)
Standard_Integer | UpperCol () const
Standard_Integer | UpperRow () const
Standard_EXPORT Handle_PGeom_Surface | Value (const Standard_Integer Row, const Standard_Integer Col) const
virtual Standard_EXPORT Handle_Standard_Persistent | ShallowCopy () const
virtual Standard_EXPORT void | ShallowDump (Standard_OStream &s) const
| PColPGeom_HArray2OfSurface ()
| PColPGeom_HArray2OfSurface (const Storage_stCONSTclCOM &a)
Standard_Integer | _CSFDB_GetPColPGeom_HArray2OfSurfacemyLowerRow () const
void | _CSFDB_SetPColPGeom_HArray2OfSurfacemyLowerRow (const Standard_Integer p)
Standard_Integer | _CSFDB_GetPColPGeom_HArray2OfSurfacemyLowerCol () const
void | _CSFDB_SetPColPGeom_HArray2OfSurfacemyLowerCol (const Standard_Integer p)
Standard_Integer | _CSFDB_GetPColPGeom_HArray2OfSurfacemyUpperRow () const
void | _CSFDB_SetPColPGeom_HArray2OfSurfacemyUpperRow (const Standard_Integer p)
Standard_Integer | _CSFDB_GetPColPGeom_HArray2OfSurfacemyUpperCol () const
void | _CSFDB_SetPColPGeom_HArray2OfSurfacemyUpperCol (const Standard_Integer p)
const PColPGeom_FieldOfHArray2OfSurface & | _CSFDB_GetPColPGeom_HArray2OfSurfaceData () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Member Functions

Standard_EXPORT PColPGeom_FieldOfHArray2OfSurface | Field () const
Standard_EXPORT Standard_Address | Datas () const

## Private Attributes

Standard_Integer | myLowerRow
Standard_Integer | myLowerCol
Standard_Integer | myUpperRow
Standard_Integer | myUpperCol
PColPGeom_FieldOfHArray2OfSurface | Data

## Constructor & Destructor Documentation

Standard_EXPORT PColPGeom_HArray2OfSurface::PColPGeom_HArray2OfSurface | ( | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2
| ) |

Standard_EXPORT PColPGeom_HArray2OfSurface::PColPGeom_HArray2OfSurface | ( | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2,
|  | const Handle(PGeom_Surface)& | V
| ) |

PColPGeom_HArray2OfSurface::PColPGeom_HArray2OfSurface | ( |  | ) | `[inline]`

PColPGeom_HArray2OfSurface::PColPGeom_HArray2OfSurface | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

const PColPGeom_FieldOfHArray2OfSurface& PColPGeom_HArray2OfSurface::_CSFDB_GetPColPGeom_HArray2OfSurfaceData | ( |  | ) | const`[inline]`

Standard_Integer PColPGeom_HArray2OfSurface::_CSFDB_GetPColPGeom_HArray2OfSurfacemyLowerCol | ( |  | ) | const`[inline]`

Standard_Integer PColPGeom_HArray2OfSurface::_CSFDB_GetPColPGeom_HArray2OfSurfacemyLowerRow | ( |  | ) | const`[inline]`

Standard_Integer PColPGeom_HArray2OfSurface::_CSFDB_GetPColPGeom_HArray2OfSurfacemyUpperCol | ( |  | ) | const`[inline]`

Standard_Integer PColPGeom_HArray2OfSurface::_CSFDB_GetPColPGeom_HArray2OfSurfacemyUpperRow | ( |  | ) | const`[inline]`

void PColPGeom_HArray2OfSurface::_CSFDB_SetPColPGeom_HArray2OfSurfacemyLowerCol | ( | const Standard_Integer | p | ) | `[inline]`

void PColPGeom_HArray2OfSurface::_CSFDB_SetPColPGeom_HArray2OfSurfacemyLowerRow | ( | const Standard_Integer | p | ) | `[inline]`

void PColPGeom_HArray2OfSurface::_CSFDB_SetPColPGeom_HArray2OfSurfacemyUpperCol | ( | const Standard_Integer | p | ) | `[inline]`

void PColPGeom_HArray2OfSurface::_CSFDB_SetPColPGeom_HArray2OfSurfacemyUpperRow | ( | const Standard_Integer | p | ) | `[inline]`

Standard_EXPORT Standard_Integer PColPGeom_HArray2OfSurface::ColLength | ( |  | ) | const

Standard_EXPORT Standard_Address PColPGeom_HArray2OfSurface::Datas | ( |  | ) | const`[private]`

Standard_EXPORT PColPGeom_FieldOfHArray2OfSurface PColPGeom_HArray2OfSurface::Field | ( |  | ) | const`[private]`

Standard_EXPORT const PColPGeom_HArray2OfSurface::Handle | ( | Standard_Type |  | ) | const

Standard_Integer PColPGeom_HArray2OfSurface::LowerCol | ( |  | ) | const

Standard_Integer PColPGeom_HArray2OfSurface::LowerRow | ( |  | ) | const

Standard_EXPORT Standard_Integer PColPGeom_HArray2OfSurface::RowLength | ( |  | ) | const

Standard_EXPORT void PColPGeom_HArray2OfSurface::SetValue | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col,
|  | const Handle(PGeom_Surface)& | Value
| ) |

virtual Standard_EXPORT Handle_Standard_Persistent PColPGeom_HArray2OfSurface::ShallowCopy | ( |  | ) | const`[virtual]`

virtual Standard_EXPORT void PColPGeom_HArray2OfSurface::ShallowDump | ( | Standard_OStream & | s | ) | const`[virtual]`

Standard_Integer PColPGeom_HArray2OfSurface::UpperCol | ( |  | ) | const

Standard_Integer PColPGeom_HArray2OfSurface::UpperRow | ( |  | ) | const

Standard_EXPORT Handle_PGeom_Surface PColPGeom_HArray2OfSurface::Value | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) | const

## Field Documentation

PColPGeom_FieldOfHArray2OfSurface PColPGeom_HArray2OfSurface::Data `[private]`

Standard_Integer PColPGeom_HArray2OfSurface::myLowerCol `[private]`

Standard_Integer PColPGeom_HArray2OfSurface::myLowerRow `[private]`

Standard_Integer PColPGeom_HArray2OfSurface::myUpperCol `[private]`

Standard_Integer PColPGeom_HArray2OfSurface::myUpperRow `[private]`

The documentation for this class was generated from the following file:

- PColPGeom_HArray2OfSurface.hxx